falost 发表于 2016-11-16 14:17:01

NoderCMS V1.3.4 正式版本发布【20161116】

产品介绍

基于 Node.js & MongoDB 领先的轻量级 CMS 内容管理系统

下载地址:
http://www.nodercms.com/archive/nodercms-1.3.3

快速安装指南

建议在 Linux 环境下安装,如果需要在 Windows 下安装,请移步 Windows 下安装 NoderCMS 教程
QQ交流群:369888346

环境要求


[*]Node.js v5.4.1 及以上
[*]Mongodb v3.0.6 及以上
[*]Cairo v1.8.6 及以上(图形库)
[*]如果你没有安装过 Cairo,你可以使用操作系统的命令来快速安装
   
OS Command
OS X brew install pkg-config cairo libpng jpeg giflib
Ubuntu sudo apt-get install libcairo2-dev libjpeg8-dev libpango1.0-dev libgif-dev build-essential g++
Fedora sudo yum install cairo cairo-devel cairomm-devel libjpeg-turbo-devel pango pango-devel pangomm pangomm-devel giflib-devel
Solaris pkgin install cairo pkg-config xproto renderproto kbproto xextproto
WindowsWindows 下安装教程

Mac OS X El Capitan 用户:如果你在安装时遇到编译错误等,运行以下命令 xcode-select --install,详情请查看:Stack Overflow

安装依赖


[*]将下载的安装包解压至服务器任意目录
[*]执行 npm install --production 来安装依赖
[*]执行 npm start 来启动 NoderCMS

执行安装程序


[*]访问 http://localhost:3000/admin/install 进入安装程序
[*]按照提示进行初始化安装

如遇到安装使用上的问题,请访问 帮助中心 或加入QQ交流群:369888346


官方网站

http://www.nodercms.com/

falost 发表于 2016-11-16 14:17:32

更新记录

v1.3.4

新功能
[*]管理后台内容列表增加阅读数显示
[*]单页增加媒体详情数据
[*]阅读列表增加用户详情数据


修复
[*]管理员修改自身账号失败的问题
下载 v1.3.4 安装包



v1.3.3

新功能


[*]增加版本更新提示

修复


[*]单页编辑无法弹出媒体窗口的问题
[*]内容与推荐模型删除扩展键没有正常删除问题
[*]链接分类无法读取到上级分类的问题
[*]媒体列表的多次请求的问题

下载 v1.3.3 安装包

v1.3.2


[*]修复已删除的内容继续在网站中出现
[*]修复内容编辑器媒体选择只能选择4个的问题
[*]修复当恢复内容时媒体引用数会被清零的问题
[*]增强接口鲁棒性

下载 v1.3.2 安装包

v1.3.1

新功能


[*]媒体库支持文件类型
[*]内容支持插入文件
[*]推荐位支持插入文件
[*]内容模型扩展信息新增媒体类型
[*]推荐模型新增媒体类型


修复


[*]修复了当标题存在但URL不正确时造成系统重启的问题
[*]进入后台时控制台不会再输出 install 404
[*]修复链接分类不能挂在频道下的问题
[*]不再向网站前端输出发布日期是未来的内容

因为修改了依赖,所以更新时需要使用 npm install --production 来安装新依赖,升级时请注意备份数据

下载 v1.3.1 安装包

v1.2.4


[*]解决模型扩展字段部分情况下无法删除的问题

下载 v1.2.4 安装包

v1.2.3


[*]修复推荐排序失效问题

下载 v1.2.3 安装包

v1.2.2


[*]修复搜索页面无法分页的问题

下载 v1.2.2 安装包

v1.2.1


[*]修复在管理后台中链接分类不能正常读取的问题

下载 v1.2.1 安装包

v1.2.0


[*]增加全站搜索功能
[*]修复后台推荐无法删除的问题
[*]修复了一些其他 BUG

下载 v1.2.0 安装包

v1.1.0


[*]编辑器支持表格
[*]编辑器支持插入视频
[*]dateformat 标签支持 timeago (本地化时间)
[*]升级 node-canvas 依赖版本
[*]变更 markdown 依赖为 marked 依赖

因为修改了依赖,所以更新时需要使用 npm install --production 来安装新依赖

下载 v1.1.0 安装包


welkinwong 发表于 2016-11-16 14:45:55

啪啪啪前排{:2_31:}
页: [1]
查看完整版本: NoderCMS V1.3.4 正式版本发布【20161116】